### org.jfree.layouting

# Class DefaultLayoutProcess

- `java.lang.Object`
- - `org.jfree.layouting.AbstractLayoutProcess`
  - - `org.jfree.layouting.DefaultLayoutProcess`

Implemented Interfaces:
  LayoutProcess

`public class DefaultLayoutProcess`
`extends AbstractLayoutProcess`

Creation-Date: 10.11.2006, 15:16:40

Author:
  Thomas Morgner

  ## Nested Class Summary

  `protected static class`

  `DefaultLayoutProcess.DefaultLayoutProcessState`

  ### Nested classes/interfaces inherited from class org.jfree.layouting.AbstractLayoutProcess

  `AbstractLayoutProcess.AbstractLayoutProcessState`

  ## Constructor Summary

  `DefaultLayoutProcess(OutputProcessor outputProcessor)`

  ## Method Summary

  `protected InputFeed`

  `createInputFeed()`

  `LayoutProcessState`

  `saveState()`

  ### Methods inherited from class org.jfree.layouting.AbstractLayoutProcess

  `createInputFeed`, `getDocumentContext`, `getInputFeed`, `getNormalizer`, `getOutputMetaData`, `getOutputProcessor`, `getResourceManager`, `getStyleResolver`, `isPagebreakEncountered`, `pageBreakEncountered`

## Constructor Details

### DefaultLayoutProcess

    public DefaultLayoutProcess(OutputProcessor outputProcessor)

## Method Details

### createInputFeed

    protected InputFeed createInputFeed()

> Overrides:
>   createInputFeed in interface AbstractLayoutProcess

### saveState

    public LayoutProcessState saveState()
                throws StateException

> Specified by:
>   saveState in interface LayoutProcess